Package: org.codehaus.groovy.transform.stc

## [Java] Interface SignatureCodec

- A signature codec is responsible for encoding and decoding of inferred returned types as stored in bytecode. The signature must contain an appropriate version number so that future versions of Groovy remain capable of decoding previous versions.

  Authors:
    Cedric Champeau

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ClassNode` | `decode(String signature)`
    `` | `String` | `encode(ClassNode node)`

- - ### Method Detail

    - #### public ClassNode decode(String signature)

    - #### public String encode(ClassNode node)